diff -Naur rdesktop-1.8.5.orig/configure.ac rdesktop-1.8.5/configure.ac
--- rdesktop-1.8.5.orig/configure.ac	2019-05-08 11:24:50.000000000 +0200
+++ rdesktop-1.8.5/configure.ac	2019-05-14 18:33:49.479354354 +0200
@@ -122,27 +122,20 @@
 
 dnl CredSSP feature
 AC_ARG_ENABLE([credssp], AS_HELP_STRING([--disable-credssp], [disable support for CredSSP]))
-AC_ARG_ENABLE([static-gssglue], AS_HELP_STRING([--enable-static-gssglue]), 
-	      [static_gssglue=yes], [static_gssglue=no])
 AS_IF([test "x$enable_credssp" != "xno"], [
 	  if test -n "$PKG_CONFIG"; then
-	    PKG_CHECK_MODULES(GSSGLUE, libgssglue, [WITH_CREDSSP=1], [WITH_CREDSSP=0])
+	    PKG_CHECK_MODULES(GSSAPI, krb5-gssapi, [WITH_CREDSSP=1], [WITH_CREDSSP=0])
 	  fi
 
 	  if test x"$WITH_CREDSSP" = "x1"; then
 	      CREDSSPOBJ="cssp.o"
-	      CFLAGS="$CFLAGS $GSSGLUE_CFLAGS"
-
-	      AS_IF([test "x$static_gssglue" != "xno"], [
-	          LIBS="$LIBS -Wl,-Bstatic -lgssglue -Wl,-Bdynamic"
-	      ], [
-	          LIBS="$LIBS -lgssglue"
-	      ])
+	      CFLAGS="$CFLAGS $GSSAPI_CFLAGS"
+	      LIBS="$LIBS $GSSAPI_LIBS"
 
 	      AC_DEFINE(WITH_CREDSSP)
 	  else
 		echo
-		echo "CredSSP support requires libgssglue, install the dependency"
+		echo "CredSSP support requires GSSAPI, install the dependency"
 		echo "or disable the feature using --disable-credssp."
 		echo
 		exit 1
diff -Naur rdesktop-1.8.5.orig/cssp.c rdesktop-1.8.5/cssp.c
--- rdesktop-1.8.5.orig/cssp.c	2019-05-08 11:22:39.000000000 +0200
+++ rdesktop-1.8.5/cssp.c	2019-05-14 18:34:49.559368755 +0200
@@ -140,7 +140,7 @@
 }
 
 static STREAM
-cssp_gss_wrap(gss_ctx_id_t * ctx, STREAM in)
+cssp_gss_wrap(gss_ctx_id_t ctx, STREAM in)
 {
 	int conf_state;
 	OM_uint32 major_status;
@@ -181,7 +181,7 @@
 }
 
 static STREAM
-cssp_gss_unwrap(gss_ctx_id_t * ctx, STREAM in)
+cssp_gss_unwrap(gss_ctx_id_t ctx, STREAM in)
 {
 	OM_uint32 major_status;
 	OM_uint32 minor_status;
